curl --request GET \
--url https://api.gcore.com/cloud/v1/caas/{project_id}/{region_id}/containers/{container_name} \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/cloud/v1/caas/{project_id}/{region_id}/containers/{container_name}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cloud/v1/caas/{project_id}/{region_id}/containers/{container_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"address": "some.example.com",
"created_at": "2021-01-01T00:00:00Z",
"deploy_status": {
"ready": 1,
"total": 2
},
"description": "My first container",
"envs": {
"ENVIRONMENT_VARIABLE": "value 2",
"ENV_VAR": "value 1"
},
"flavor": "250mCPU-512MiB",
"image": "nginx:latest",
"is_api_key_auth": false,
"is_disabled": false,
"listening_port": 80,
"name": "nginx",
"namespace": "default",
"pull_secret": "my-secret",
"scale": {
"max": 2,
"min": 1
},
"source": "cloud",
"status": "RUNNING",
"status_message": "Some container status",
"timeout": 5,
"commands": "python3 app.py -m test",
"logging": {
"destination_region_id": 1,
"enabled": true,
"retention_policy": {
"period": 45
},
"topic_name": "my-log-name"
}
}Get container
Get detailed information about a specific container.
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Project id
1
Region id
1
Container name
^[a-zA-Z0-9][a-zA-Z0-9.-]+[a-zA-Z0-9]$"my-container"
Response
OK
Container address
"some.example.com"
Container creation date
"2021-01-01T00:00:00Z"
Container deploy status
Show child attributes
Show child attributes
Container description
"My first container"
Container environment variables
Show child attributes
Show child attributes
{
"ENVIRONMENT_VARIABLE": "value 2",
"ENV_VAR": "value 1"
}
Container flavor
"250mCPU-512MiB"
Container image
"nginx:latest"
Enable/Disable api key authentication
false
Set to true if container is disabled
false
Container listening port
80
Container name
"nginx"
Container namespace
"default"
Image pull secret
"my-secret"
Container autoscaling
Show child attributes
Show child attributes
{ "max": 2, "min": 1 }
Source of the container, can be 'cloud' or 'iate'
"cloud"
Container status
"RUNNING"
Container status message
"Some container status"
Container timeout in seconds
5
Container's commands
"python3 app.py -m test"
Logging configuration
Show child attributes
Show child attributes
{
"destination_region_id": 1,
"enabled": true,
"retention_policy": { "period": 45 },
"topic_name": "my-log-name"
}
Was this page helpful?